@import url("https://use.typekit.net/bjg6szx.css");

* {
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

body {
  width: 100%;
}

img {
  max-width: 100%;
  height: auto;
}

nav {
  background-color: white;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 2;
}

ul {
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  list-style: none;
}

li {
  font-size: 24px;
  font-family: "acier-bat-solid", sans-serif;
  color: black;
  flex-grow: 1 1 1 1;
}

a {
  color: black;
  text-decoration: none;
}

a:visited {
  text-decoration: none;
  color: rgb(146, 74, 15);
}

a:hover .hero {
  max-width: auto;
  max-height: auto;
}

.hero img {
  display: block;
}

.potrait {
  width: 50vw;
  box-sizing: border-box;
  border-top: 0%;
}

.potraituebermich {
  display: flex;
  flex-direction: row;
  align-items: center;
  height: auto;
  min-height: 0;
  padding: 0;
}

.uebermich {
  margin: auto;
  width: 50%;
  align-self: center;
  margin: 70px;
}

h3 {
  font-family: "acier-bat-solid", sans-serif;
  text-align: center;
  font-size: 2rem;
}

.hardskills .ai h3 {
  margin-bottom: 5px;
}

.hardskills .ai p {
  margin-top: 5px;
}

.softskills {
  background-image: url("bilder/hintergrund-kreis.png");
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-around;
  flex-wrap: wrap;
  row-gap: 5rem;
}

.softskills > * {
  width: 23%;
}

.softskills,
.hardskills {
  align-content: flex-start;
}

.softskills h2,
.hardskills h2 {
  align-self: flex-start;
  flex: 1 1 100%;
}

section {
  min-height: 100vh;
  padding: 4rem;
}

section h2 {
  margin: 0;
}

.hardskills {
  background-image: url("bilder/landing-page.gif");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  flex-wrap: wrap;
  row-gap: 10rem;
}

.hardskills > * {
  width: 12%;
}

h2 {
  font-family: "acier-bat-noir", sans-serif;
  font-size: 50px;
}

p {
  font-size: 1.125rem;
  font-family: "myriad-pro-semi-condensed", sans-serif;
  line-height: 1.5rem;
  text-align: center;
}

.uebermich p {
  text-align: left;
}

#form-wrapper {
  width: 100%;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background-image: url(./bilder/landing-page.gif);
}

form {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  width: 20vw;
}

form label input,
form label textarea {
  display: block;
  width: 100%;
  height: auto;
}

form label text {
  font-family: "acier-bat-noir", sans-serif;
  height: 10rem;
}

label {
  font-family: "acier-bat-noir", sans-serif;
  font-size: 3rem;
}

.arbeitsproben-wrapper {
  height: 70vh;
  margin-top: 5rem;
  display: flex;
  gap: 2rem;
  justify-content: space-around;
}

.arbeitsproben-wrapper a {
  width: 25vw;
  height: 25vw;
  background-color: rgb(255, 255, 255);
  display: flex;
  align-items: center;
  justify-content: center;
  background-position: center;
  background-size: cover;
  box-shadow: 10px 5px 5px rgba(0, 0, 0, 0.453);
}

.Arbeitsproben h2,
.Arbeistprobenoverview h2 {
  scroll-margin-top: 6rem;
}

.arbeitsproben-wrapper h4 {
  font-size: 2rem;
  text-shadow: 10px black;
  color: rgb(194, 169, 103);
}

[href="#web"] {
  background-image: url(./bilder/Chills.jpg);
}

[href="#Illustrationen"] {
  background-image: url(bilder/Ohschreck_Procreate_web.png);
}

[href="#Fotografie"] {
  background-image: url(bilder/Sternbruecke_final.jpg);
}

.Arbeistprobenoverview {
  min-height: 0;
  overflow: hidden;
  padding: 44px;
}

.foto-block {
  margin-bottom: 12rem;
  margin-top: 2rem;
  display: flex;
  height: 60vh;
  width: 100%;
  gap: 2rem;
}

.reihe-1,
.reihe-3 {
  flex: 1 1 0;
}

.reihe-2 {
  flex: 2 2 0;
}

.reihe-1,
.reihe-3 {
  display: flex;
  flex-direction: column;
  gap: 2rem;
}

.bild-1 {
  flex: 2 2 0;
}

.bild-2 {
  flex: 1 1 0;
}

.bild-4 {
  flex: 1 1 0;
}

.bild-5 {
  flex: 2 2 0;
}

.Arbeitsproben [class^="bild-"] {
  background-position: center;
  background-size: cover;
}

.web .bild-1 {
  background-image: url(bilder/Chills.jpg);
  background-position-y: top;
}

.web .bild-2 {
  background-image: url(bilder/Zooeinfach.jpg);
}

.web .bild-3 {
  background-image: url(bilder/Rebellinnen_html.jpg);
  background-position-y: top;
}

.web .bild-4 {
  background-image: url(bilder/Zoo.jpg);
  background-position-y: top;
}

.web .bild-5 {
  background-image: url(bilder/Halloween-.jpg);
  background-position-y: top;
}

.Illustration .bild-1 {
  background-image: url(bilder/Hand_buddha_web.png);
}

.Illustration .bild-2 {
  background-image: url(bilder/Ohschreck_Procreate_web.png);
}

.Illustration .bild-3 {
  background-image: url(bilder/Wueste_final.jpg);
}

.Illustration .bild-4 {
  background-image: url(bilder/Blume.jpg);
}

.Illustration .bild-5 {
  background-image: url(bilder/Plakat_Sabine_web.jpg);
}

.Fotografie .bild-1 {
  background-image: url(bilder/Karussel_final.jpg);
}

.Fotografie .bild-2 {
  background-image: url(bilder/Sternbruecke_final.jpg);
}

.Fotografie .bild-3 {
  background-image: url(bilder/Truck_final.jpg);
}

.Fotografie .bild-4 {
  background-image: url(bilder/reeperbahn_final.jpg);
}

.Fotografie .bild-5 {
  background-image: url(bilder/naomi_final.jpg);
}

#logo {
  width: 3rem;
  height: 9rem;
  position: fixed;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  z-index: 2;
}

.hero {
  height: 100vh;
  background-size: cover;
  background-position: center;
  background-image: url(bilder/ich-metro.jpg);
  position: relative;
  z-index: -2;
  overflow: hidden;
}

.hero h1 {
  position: absolute;
  left: 4rem;
  bottom: 30%;
  font-size: 6.5rem;
  font-family: "acier-bat-solid", sans-serif;
  /* text-shadow: 3px 3px 4px white; */
  color: rgb(245, 228, 199);
}

.hero h1 div {
  position: relative;
}

.hero h1 div .bg {
  position: absolute;
  top: 0;
  left: 0;
  width: 4ch;
  height: 60%;
  background-color: rgb(255, 255, 255);
  z-index: -1;
  transform: translateX(-0.3rem);
}

.hero h1 div .bg.unten {
  width: 100%;
}

.hero h1 div span:first-child {
  mix-blend-mode: exclusion;
}

.hero h1 {
  animation: slide 2s ease-out 1s forwards;
  transform: translateX(+100vw);
}

@keyframes slide {
  100% {
    transform: translateX(0);
  }
}

.Arbeitsproben {
  background-image: url(bilder/hintergrund_braun.gif);
  background-position: center;
  background-size: auto;
  padding: 4rem;
  overflow: hidden;
}

.button {
  display: flex;
  height: 15rem;
}

h1 {
  font-family: "acier-bat-solid", sans-serif;
}

footer {
  display: flex;
  align-items: center;
  justify-content: center;
}

footer h1 {
  text-align: center;
}

.kommunikation h3 {
  margin-top: 10px;
}

.kommunikation p {
  margin-top: 50px;
  margin-bottom: 0;
}

@media (max-width: 425px) {
  h2 {
    font-size: 3rem;
  }
  nav {
    position: relative;
  }

  ul {
    flex-direction: column;
    padding-left: 16px;
  }
  li {
    font-size: 16px;
  }

  li + li {
    margin-top: 8px;
  }

  .hero {
    background-size: cover;
    background-position: right;
  }

  .hero h1 {
    font-size: 4.5rem;
  }

  .hardskills,
  .softskills {
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    flex-wrap: nowrap;
  }

  .hardskills > *,
  .softskills > * {
    width: 100%;
  }

  .potrait {
    width: 100%;
  }

  .potraituebermich {
    flex-direction: column;
    align-items: center;
  }

  .uebermich {
    width: 100%;
    align-items: center;
  }

  .arbeitsproben-wrapper {
    flex-direction: column;
    align-items: center;
  }
}

@media (min-width: 426px) and (max-width: 768px) {
  li {
    font-size: 18px;
  }
}
